#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k,i,a,j;
    j = 0;
    cin >> n;
    cin >> k;
    int poz[n];
    int neg[n];
    int pog[n];
    vector<int> menja;
    for(i = 0;i < n;i++){
          cin >> pog[i];
          poz[i] = 0;
          neg[i] = 0;
    }
    for(i = 0;i < n;i++){
          if(pog[i] >= 0) poz[pog[i]]++;
          else neg[-pog[i]]++;
    }
    for(i = 0;i < n;i++){
          if(poz[i] >= k){
            j++;
            menja.push_back(i);
          }
          if(neg[i] >= k){
            j++;
            menja.push_back(-i);
          }
    }
    cout << j << endl;
    for(i = 0;i < j;i++){
        cout << menja[i];
        cout << " ";
    }

    return 0;
}